terragrunt = {
  terraform {
    source = "git::https://github.com/terraform-aws-modules/terraform-aws-vpc//?ref=v1.42.0"
  }

  include = {
    path = "${find_in_parent_folders()}"
  }
}

name = "my-vpc"
cidr = "10.0.0.0/16"

azs             = ["us-east-1a", "us-east-1b", "us-east-1c"]
private_subnets = ["10.0.1.0/24", "10.0.2.0/24", "10.0.3.0/24"]
public_subnets  = ["10.0.101.0/24", "10.0.102.0/24", "10.0.103.0/24"]

enable_nat_gateway = false
enable_vpn_gateway = false

tags = {
  Managed = "terraform"
  Environment = "production"
}
